Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 215283 - New ebuild for Pate, a framework for writing Python plugins for Kate
Summary: New ebuild for Pate, a framework for writing Python plugins for Kate
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://github.com/pag/pate
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-29 06:08 UTC by Wilbert Berendsen
Modified: 2011-01-02 13:10 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---
tampakrap: Bugday+


Attachments
Ebuild for kde-misc/pate-0.5.1 (pate-0.5.1.ebuild,595 bytes, text/plain)
2008-03-29 06:10 UTC, Wilbert Berendsen
Details
Updated ebuild for pate 0.5.1 (pate-0.5.1.ebuild,720 bytes, text/plain)
2008-03-30 05:33 UTC, Wilbert Berendsen
Details
new pate ebuild .KDE4 version (pate-9999.ebuild,500 bytes, text/plain)
2010-04-05 20:30 UTC, Ondřej Súkup
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wilbert Berendsen 2008-03-29 06:08:11 UTC
This is a new ebuild for Pâté (Pate), a very nice framework for writing Python plugins for KDE's editor Kate.

Reproducible: Always
Comment 1 Wilbert Berendsen 2008-03-29 06:10:22 UTC
Created attachment 147607 [details]
Ebuild for kde-misc/pate-0.5.1

I suggest placing Pate in the category kde-misc .
Comment 2 Carsten Lohrke (RETIRED) gentoo-dev 2008-03-29 20:06:30 UTC
- The ebuild header is invalid¹
- LGPL is not a valid license, see /usr/portage/licenses
- Dependency should be =kde-base/kate-3.5*, kdebase likewise - there is KDE nowadays
- the ebuild probably should use cmake-utils.eclass







[1] http://www.gentoo.org/proj/en/devrel/handbook/handbook.xml?part=2&chap=3
Comment 3 Wilbert Berendsen 2008-03-30 05:33:03 UTC
Created attachment 147676 [details]
Updated ebuild for pate 0.5.1

I improved the header, and fixed the dependencies to remain in the 3.x versions. Unfortunately I do not yet exacly know how to use cmake-utils.
Comment 4 Tomáš Chvátal (RETIRED) gentoo-dev 2009-10-31 10:59:54 UTC
Yup this app has qt4/kde4 version, using cmake build system -> we should package it.
Comment 5 Ondřej Súkup 2010-04-05 20:30:00 UTC
Created attachment 226675 [details]
new pate ebuild  .KDE4 version
Comment 6 Andreas K. Hüttel archtester gentoo-dev 2010-11-02 22:56:18 UTC
The last commit to the pate source was end of 2009. Does it still work with recent kde?
Comment 7 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-01-02 13:10:28 UTC
This is already in overlay since april 5
http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=f56a13183c2e3c07f2fb490cc98f1a77af5e942b